Package com.castlabs.sdk.debug.view

## Class PlayerStatsFragment

- java.lang.Object
- - androidx.fragment.app.Fragment
  - - com.castlabs.sdk.debug.view.AbstractSingleListFragment<com.castlabs.sdk.debug.view.PlayerStatsFragment.Metric>
    - - com.castlabs.sdk.debug.view.PlayerStatsFragment

- All Implemented Interfaces:
    `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `ExtendedPlayerViewProvider.Listener`

      public class PlayerStatsFragment
      extends AbstractSingleListFragment<com.castlabs.sdk.debug.view.PlayerStatsFragment.Metric>

  Fragment that shows statistics about the current playback session

  Note that activities using this Fragment must implement `ExtendedPlayerViewProvider`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

      `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ABR_SWITCHES` |
    `static String` | `AVG_BITRATE` |
    `static String` | `AVG_BITRATE_SWITCH_MAGNITUDE` |
    `static String` | `BUFFER_SIZE` |
    `static String` | `BUFFER_TIME` |
    `static String` | `BUFFERING_TIME` |
    `static String` | `LAST_BUFFER_TIME` |
    `static String` | `QOE_SCORE` |
    `static String` | `REBUFFER_PERCENTAGE` |
    `static String` | `SCORE_BITRATE` |
    `static String` | `SCORE_MAGNITUDE` |
    `static String` | `SCORE_REBUFFER` |
    `static String` | `SCORE_SWITCH` |
    `static String` | `SEEKING_TIME` |
    `static String` | `START_TIME` |
    `static String` | `STATE` |
    `static String` | `UNDERRUNS` |
    `static String` | `VIDEO_CODEC` |
    `static String` | `VIDEO_CODEC_INIT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayerStatsFragment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onStart()` |
    `void` | `onStop()` |

    - ### Methods inherited from class com.castlabs.sdk.debug.view.AbstractSingleListFragment

      `onCreateView, onReload`

    - ### Methods inherited from class androidx.fragment.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QOE_SCORE

          public static final String QOE_SCORE

      See Also:
        Constant Field Values

    - #### ABR_SWITCHES

          public static final String ABR_SWITCHES

      See Also:
        Constant Field Values

    - #### BUFFER_TIME

          public static final String BUFFER_TIME

      See Also:
        Constant Field Values

    - #### BUFFER_SIZE

          public static final String BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### LAST_BUFFER_TIME

          public static final String LAST_BUFFER_TIME

      See Also:
        Constant Field Values

    - #### SEEKING_TIME

          public static final String SEEKING_TIME

      See Also:
        Constant Field Values

    - #### BUFFERING_TIME

          public static final String BUFFERING_TIME

      See Also:
        Constant Field Values

    - #### STATE

          public static final String STATE

      See Also:
        Constant Field Values

    - #### VIDEO_CODEC

          public static final String VIDEO_CODEC

      See Also:
        Constant Field Values

    - #### VIDEO_CODEC_INIT

          public static final String VIDEO_CODEC_INIT

      See Also:
        Constant Field Values

    - #### UNDERRUNS

          public static final String UNDERRUNS

      See Also:
        Constant Field Values

    - #### START_TIME

          public static final String START_TIME

      See Also:
        Constant Field Values

    - #### REBUFFER_PERCENTAGE

          public static final String REBUFFER_PERCENTAGE

      See Also:
        Constant Field Values

    - #### AVG_BITRATE

          public static final String AVG_BITRATE

      See Also:
        Constant Field Values

    - #### AVG_BITRATE_SWITCH_MAGNITUDE

          public static final String AVG_BITRATE_SWITCH_MAGNITUDE

      See Also:
        Constant Field Values

    - #### SCORE_BITRATE

          public static final String SCORE_BITRATE

      See Also:
        Constant Field Values

    - #### SCORE_REBUFFER

          public static final String SCORE_REBUFFER

      See Also:
        Constant Field Values

    - #### SCORE_SWITCH

          public static final String SCORE_SWITCH

      See Also:
        Constant Field Values

    - #### SCORE_MAGNITUDE

          public static final String SCORE_MAGNITUDE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlayerStatsFragment

          public PlayerStatsFragment()

  - ### Method Detail

    - #### onStart

          public void onStart()

      Overrides:
        `onStart` in class `AbstractSingleListFragment<com.castlabs.sdk.debug.view.PlayerStatsFragment.Metric>`

    - #### onStop

          public void onStop()

      Overrides:
        `onStop` in class `androidx.fragment.app.Fragment`